| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
jpeg_marker_reader Struct Reference

`#include <jpegint.h>`

## Public Member Functions
| JMETHOD (void, reset_marker_reader,(j_decompress_ptr cinfo))
| JMETHOD (int, read_markers,(j_decompress_ptr cinfo))

## Public Attributes
jpeg_marker_parser_method | read_restart_marker
boolean | saw_SOI
boolean | saw_SOF
int | next_restart_num
unsigned int | discarded_bytes

## Detailed Description

Definition at line 189 of file jpegint.h.

## Member Function Documentation

jpeg_marker_reader::JMETHOD | ( | void | ,
|  | reset_marker_reader | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

jpeg_marker_reader::JMETHOD | ( | int | ,
|  | read_markers | ,
|  | (j_decompress_ptr cinfo) |
| ) |  |

## Member Data Documentation

unsigned int jpeg_marker_reader::discarded_bytes

Definition at line 205 of file jpegint.h.

int jpeg_marker_reader::next_restart_num

Definition at line 204 of file jpegint.h.

jpeg_marker_parser_method jpeg_marker_reader::read_restart_marker

Definition at line 197 of file jpegint.h.

boolean jpeg_marker_reader::saw_SOF

Definition at line 203 of file jpegint.h.

boolean jpeg_marker_reader::saw_SOI

Definition at line 202 of file jpegint.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpegint.h